import request from '@/utils/request'

// 获取商品列表
export function getWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'get',
    params: parameter
  })
}

// 获取商品详情
export function getWarehouseDetails(parameter) {
  return request({
    url: '/api/warehouse/' + parameter,
    method: 'get',
  })
}

// 添加商品
export function addWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'post',
    data: parameter
  })
}

// 编辑商品
export function putWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'put',
    data: parameter
  })
}

// 删除商品
export function delWarehouse(parameter) {
  return request({
    url: '/api/warehouse',
    method: 'delete',
    data: parameter
  })
}
